Bullet Collision Detection & Physics Library: Bullet::btCollisionObjectFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btCollisionObjectFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btCollisionObjectFloatData:
[legend]

## Public Attributes
void * | m_broadphaseHandle
void * | m_collisionShape
btCollisionShapeData * | m_rootCollisionShape
char * | m_name
btTransformFloatData | m_worldTransform
btTransformFloatData | m_interpolationWorldTransform
btVector3FloatData | m_interpolationLinearVelocity
btVector3FloatData | m_interpolationAngularVelocity
btVector3FloatData | m_anisotropicFriction
float | m_contactProcessingThreshold
float | m_deactivationTime
float | m_friction
float | m_restitution
float | m_hitFraction
float | m_ccdSweptSphereRadius
float | m_ccdMotionThreshold
int | m_hasAnisotropicFriction
int | m_collisionFlags
int | m_islandTag1
int | m_companionId
int | m_activationState1
int | m_internalType
int | m_checkCollideWith

## Detailed Description

Definition at line 522 of file bullet.h.

## Member Data Documentation

int Bullet::btCollisionObjectFloatData::m_activationState1

Definition at line 545 of file bullet.h.

btVector3FloatData Bullet::btCollisionObjectFloatData::m_anisotropicFriction

Definition at line 533 of file bullet.h.

void* Bullet::btCollisionObjectFloatData::m_broadphaseHandle

Definition at line 525 of file bullet.h.

float Bullet::btCollisionObjectFloatData::m_ccdMotionThreshold

Definition at line 540 of file bullet.h.

float Bullet::btCollisionObjectFloatData::m_ccdSweptSphereRadius

Definition at line 539 of file bullet.h.

int Bullet::btCollisionObjectFloatData::m_checkCollideWith

Definition at line 547 of file bullet.h.

int Bullet::btCollisionObjectFloatData::m_collisionFlags

Definition at line 542 of file bullet.h.

void* Bullet::btCollisionObjectFloatData::m_collisionShape

Definition at line 526 of file bullet.h.

int Bullet::btCollisionObjectFloatData::m_companionId

Definition at line 544 of file bullet.h.

float Bullet::btCollisionObjectFloatData::m_contactProcessingThreshold

Definition at line 534 of file bullet.h.

float Bullet::btCollisionObjectFloatData::m_deactivationTime

Definition at line 535 of file bullet.h.

float Bullet::btCollisionObjectFloatData::m_friction

Definition at line 536 of file bullet.h.

int Bullet::btCollisionObjectFloatData::m_hasAnisotropicFriction

Definition at line 541 of file bullet.h.

float Bullet::btCollisionObjectFloatData::m_hitFraction

Definition at line 538 of file bullet.h.

int Bullet::btCollisionObjectFloatData::m_internalType

Definition at line 546 of file bullet.h.

btVector3FloatData Bullet::btCollisionObjectFloatData::m_interpolationAngularVelocity

Definition at line 532 of file bullet.h.

btVector3FloatData Bullet::btCollisionObjectFloatData::m_interpolationLinearVelocity

Definition at line 531 of file bullet.h.

btTransformFloatData Bullet::btCollisionObjectFloatData::m_interpolationWorldTransform

Definition at line 530 of file bullet.h.

int Bullet::btCollisionObjectFloatData::m_islandTag1

Definition at line 543 of file bullet.h.

char* Bullet::btCollisionObjectFloatData::m_name

Definition at line 528 of file bullet.h.

float Bullet::btCollisionObjectFloatData::m_restitution

Definition at line 537 of file bullet.h.

btCollisionShapeData* Bullet::btCollisionObjectFloatData::m_rootCollisionShape

Definition at line 527 of file bullet.h.

btTransformFloatData Bullet::btCollisionObjectFloatData::m_worldTransform

Definition at line 529 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h